import java.io.File;

public class Fichier

extends File {
    public Fichier(String nomFichier) {
        super(nomFichier);
    }

    public boolean lirePossible() {
        return (this.exists() && this.isFile() && this.canRead());
    }

    public boolean ecrirePossible() {
        boolean fichierEnregistrable;
        if (this.exists())
            if (this.isFile() && this.canWrite())
                fichierEnregistrable = true;
            else
                fichierEnregistrable = false;
        else {
            String nomAbsolu = this.getAbsolutePath();
            String nomRepertoire = nomAbsolu.substring(0, nomAbsolu
                    .lastIndexOf(File.separator));
            File repertoire = new File(nomRepertoire);
            if (repertoire.exists() && repertoire.canWrite())
                fichierEnregistrable = true;
            else
                fichierEnregistrable = false;
        }
        return fichierEnregistrable;
    }

    public String proprietes() {
        String s = "";
        if (!this.exists())
            s = "fichier non existant";
        else if (this.isFile()) {
            s = "fichier";
            if (this.canRead())
                s = s + " accs en lecture";
            if (this.canWrite())
                s = s + " accs en ecriture";
        } else if (this.isDirectory())
            s = "rpertoire";
        return s;
    }

    public String parent() {
        String nomAbsolu = this.getAbsolutePath();
        return nomAbsolu.substring(0, nomAbsolu.lastIndexOf(File.separator));
    }
}